# List permissions Retrieve a list of all permissions available to the current access token. The results are **not** paginated. > 🔑 Access with > > [Organization access token](/reference/authentication) > > [OAuth access token](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Mollie Connect", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/v2/permissions": { "get": { "summary": "List permissions", "x-speakeasy-name-override": "list", "tags": [ "Permissions API" ], "operationId": "list-permissions", "security": [ { "organizationAccessToken": [] }, { "oAuth": [] } ], "description": "Retrieve a list of all permissions available to the current access token.\n\nThe results are **not** paginated.\n\n> 🔑 Access with\n>\n> [Organization access token](/reference/authentication)\n>\n> [OAuth access token](/reference/authentication)", "responses": { "200": { "description": "A list of permission objects.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of items in this result set. If more items are available, a `_links.next` URL will be present in the result as well.\n\nThe maximum number of items per result set is controlled by the `limit` property provided in the request. The default limit is 50 items.", "minimum": 1, "maximum": 250, "example": 5 }, "_embedded": { "type": "object", "required": [ "permissions" ], "properties": { "permissions": { "description": "An array of permission objects.", "type": "array", "items": { "type": "object", "required": [ "resource", "id", "description", "granted", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains a permission object. Will always contain the string `permission` for this endpoint.", "readOnly": true, "default": "permission" }, "id": { "allOf": [ { "type": "string", "minLength": 1, "example": "payments.read" } ], "description": "The identifier uniquely referring to this permission. Example: `payments.read`.", "readOnly": true }, "description": { "type": "string", "description": "A short description of what kind of access the permission enables.", "example": "View your payments", "readOnly": true }, "granted": { "type": "boolean", "description": "Whether this permission is granted to the app by the organization.", "example": true, "readOnly": true }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } } } } }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "description": "The URL to the current set of items.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "list-permissions-200-1": { "summary": "A list of permission objects", "value": { "count": 2, "_embedded": { "permissions": [ { "resource": "permission", "id": "payments.read", "description": "View your payments", "granted": true, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "payments.write", "description": "Create new payments", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } }, "list-permissions-200-2": { "summary": "All permissions", "value": { "_embedded": { "permissions": [ { "resource": "permission", "id": "customers.read", "description": "View your customers", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "customers.write", "description": "Create new customers", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "invoices.read", "description": "View your invoices", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "mandates.read", "description": "View your customers' mandates", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "mandates.write", "description": "Update your customers' mandates", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "onboarding.read", "description": "View your onboarding status", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "onboarding.write", "description": "Submit onboarding data", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "orders.read", "description": "View your orders", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "orders.write", "description": "Create new orders", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "organizations.read", "description": "View your organizational information", "granted": true, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "organizations.write", "description": "Update your organizational information", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "payment-links.read", "description": "View your payment links", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "payment-links.write", "description": "Create payment links", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "payments.read", "description": "View your payments", "granted": true, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "payments.write", "description": "Create, cancel and update payments", "granted": true, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "profiles.read", "description": "View your payment profiles", "granted": true, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "profiles.write", "description": "Manage your payment profiles and its settings", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "refunds.read", "description": "View your refunds", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "refunds.write", "description": "Create new refunds", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "settlements.read", "description": "View your settlements", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "shipments.read", "description": "View your orders' shipments", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "shipments.write", "description": "Create new shipments for your orders", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "subscriptions.read", "description": "View your customers' subscriptions", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "permission", "id": "subscriptions.write", "description": "Create, cancel and update subscriptions", "granted": false, "_links": { "self": { "href": "...", "type": "application/hal+json" } } } ] }, "count": 24, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" } } } } } } } }, "400": { "description": "The request contains issues. For example, if the specified `from` value is not a valid ID.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "Invalid cursor value", "field": "from", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/permissions \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\");\n\n$permissions = $mollie->permissions->all();", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "const { createMollieClient } = require('@mollie/api-client');\nconst mollieClient = createMollieClient({ accessToken: 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ' });\n\nconst permissions = await mollieClient.permissions.iterate();", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\npermissions = mollie_client.permissions.list()", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\npermissions = Mollie::Permission.all", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```